Subject: Re: [PATCH net-next v6 4/7] net: dsa: hellcreek: Add support for hardware timestamping

From: Kurt Kanzenbach <[email-masked]>
Date: Tue, 06 Oct 2020 15:56:31 +0200

On Tue Oct 06 2020, Vladimir Oltean wrote:
> On Tue, Oct 06, 2020 at 03:30:36PM +0200, Kurt Kanzenbach wrote:
>> That's the point. The user (or anybody else) cannot disable hardware
>> stamping, because it is always performed. So, why should it be allowed
>> to disable it even when it cannot be disabled?
>
> Because your driver's user can attach a PTP PHY to your switch port, and
> the network stack doesn't support multiple TX timestamps attached to the
> same skb. They'll want the TX timestamp from the PHY and not from your
> switch.

Yeah, sure. That use case makes sense. What's the problem exactly?

Thanks,
Kurt